# Uses of Class
org.eclipse.draw2d.graph.Subgraph

Packages that use Subgraph
Package
Description
org.eclipse.draw2d.graph
Stand-alone algorithms related to Graph Drawing.

## Uses of Subgraph in org.eclipse.draw2d.graph

Methods in org.eclipse.draw2d.graph that return Subgraph
Modifier and Type
Method
Description
`Subgraph`
Node.`getParent()`
Returns the parent Subgraph or `null` if there is no parent.
Methods in org.eclipse.draw2d.graph with parameters of type Subgraph
Modifier and Type
Method
Description
`void`
Node.`setParent(Subgraph parent)`
Sets the parent subgraph.
Constructors in org.eclipse.draw2d.graph with parameters of type Subgraph
Modifier
Constructor
Description
``
`Node(Object data, Subgraph parent)`
Constructs a node with the given data object and parent subgraph.
``
`Node(Subgraph parent)`
Constructs a node inside the given subgraph.
``
`Subgraph(Object data, Subgraph parent)`
Constructs a new subgraph with the given data object and parent subgraph.
``
`VirtualNode(Object o, Subgraph parent)`
Deprecated.
Constructor.